{
  num: -21017,
  accuracy: true,
  basePower: 175,
  category: "Special",
  isNonstandard: "Past",
  name: "Capricious Syrup Cannonade",
  pp: 1,
  priority: 0,
  flags: { protect: 1, mirror: 1 },
  isZ: "ultrahydrappliumz",

  onModifyMove(move, pokemon) {
    if (!pokemon?.hasAbility?.("spoiledgoods")) return;
    move.type = "Poison";
    move.typeChangerBoosted = pokemon.getAbility();
    move._spoiledGoodsBoost = true;
  },

  onBasePower(basePower, pokemon, target, move) {
    if (move._spoiledGoodsBoost) return this.chainModify([4915, 4096]);
  },

  self: {
    onHit(source) {
      for (const side of source.side.foeSidesWithConditions()) {
        side.addSideCondition("stickyweb", source);
      }
    }
  },

  onAfterHit(target, source, move) {
    for (const side of source.side.foeSidesWithConditions()) {
      side.addSideCondition("stickyweb", source);
    }
  },

  onAfterSubDamage(damage, target, source, move) {
    for (const side of source.side.foeSidesWithConditions()) {
      side.addSideCondition("stickyweb", source);
    }
  },

  secondary: {},
  target: "normal",
  type: "Grass",
  contestType: "Beautiful"
}
